Subject: Re: [sipcore] Comments on draft-ietf-sipcore-status-unwanted-00
From: Paul Kyzivat <[email-masked]>
To: [email-masked]
Date: Thu, 22 Dec 2016 13:24:15 -0500
List-Id: SIP Core Working Group <sipcore.ietf.org>

On 12/21/16 4:36 PM, Dale R. Worley wrote:

>    The service provider delivering calls to
>    the user issuing the response may, for example, add the calling party
>    to a personal blacklist specific to the called party, or may use the
>    information as input when computing the likelihood that the calling
>    party is placing unwanted calls ("crowd sourcing"), might initiate a
>    traceback request, or could report the calling number to government
>    authorities.
>
> This list has 4 items:
>
>    may, for example, add the calling party to a personal blacklist
>    specific to the called party,
>
>    or may use the information as input when computing the likelihood
>    that the calling party is placing unwanted calls ("crowd
>    sourcing"),
>
>    might initiate a traceback request,
>
>    or could report the calling number to government authorities.
>
> There is a lack of parallelism in that clauses use "may", "might", and
> "could" to indicate possbility.  There are two uses of "or".  The
> first item contains commas, but the items are not separated by
> semicolons.  Reformulating this by (1) consistently using MAY, (2)
> using one "or" before the last item, and (3) moving the "for example"
> to before the list (thus escaping the rule regarding semicolons):
>
>    The service provider delivering calls to the user issuing the
>    response, for example, MAY add the calling party to a personal
>    blacklist specific to the called party, MAY use the information as
>    input when computing the likelihood that the calling party is
>    placing unwanted calls ("crowd sourcing"), MAY initiate a traceback
>    request, or MAY report the calling number to government
>    authorities.

IIUC these actions are not mutually exclusive. So I would:

s/or MAY report/and MAY report/

	Thanks,
	Paul